// Analytische Geometrie
// Parameterdarstellung einer Ebene - mit "while"-Schleifen
// WICHTIGER HINWEIS: Um mit dieser Datei zu arbeiten, muss sich die Datei
//                    anageo.inc im selben Ordner befinden wie diese
//                    POV-Ray-Datei oder im Include-Ordner von POV-Ray. 
//                    Kopieren Sie deshalb beide Dateien in denselben
//                    Ordner Ihrer Festplatte. 
// ------------------------------------------------------------------------------------
#version 3.5;                          // bentigte POV-Ray-Version
background { color rgb <1, 1, 1> }     // Hintergrundfarbe (wei)
#declare intervall = 3 ;              // Darstellungsbereich
#declare winkel =   -60 ;              // Winkel der Kamera zur x-Achse (in Grad)
#declare hoehe =   8 ;                 // Hhe der Kamera
#include "anageoR.inc"                 // Makropaket zu Vektoren, Koord-system, Ebenen usw.
// ------------------------------------------------------------------------------------
ks        
// ------------------------------------------------------------------------------------          
#declare a=<-2.5,1,-1.5>;
#declare b=<1.5,1,-0.2>;
#declare P=<0.5,1,1.5>;

#declare Feinheit=20;

pluspunkt(P, schwarz)

vektoranpunkt(P, a, silbergrau) 
vektoranpunkt(P, b, silbergrau)

#if (clock<1)
 #declare i=-2*clock*Feinheit;
  #while (i <= 2*clock*Feinheit)
    punkt(P+ i * a/Feinheit blau_matt)
  #declare i=i+1;
  #end
#else
 #declare j=-2*Feinheit*(clock-1);
  #while (j <= 2*Feinheit)
    #declare i=-2*Feinheit;
     #while (i <= 2*Feinheit)
       punkt(P+ i/Feinheit*a + j/Feinheit*(clock-1)*b blau_matt)
     #declare i=i+1;
     #end
  #declare j=j+1;
  #end
#end
                                 